package com.bocloud.cmp.model;

import java.util.ArrayList;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: PqcloudSyncModel
 * @Description:青云私有云同步
 * @author: zhenpingLi/李振平
 * @date: 2019/11/12 13:55
 */
public class PqcloudSyncModel {
    private List<ServerModel> serverModels = new ArrayList<ServerModel>();
    private List<ImageModel> imageModels = new ArrayList<ImageModel>();
    private List<FlavorModel> flavorModels = new ArrayList<FlavorModel>();
    private List<VolumeModel> volumeModels = new ArrayList<VolumeModel>();
    private List<SnapshotModel> snapshotModels = new ArrayList<SnapshotModel>();
    private List<SecurityGroupModel> securityGroupModels = new ArrayList<SecurityGroupModel>();
    private List<VpcModel> vpcModels = new ArrayList<VpcModel>();
    private List<KeypairModel> keypairModels = new ArrayList<>();
    private List<SubnetModel> subnetModels = new ArrayList<>();
    private List<ZoneModel> zoneModels = new ArrayList<>();
    private List<FloatingIpModel> floatingIpModels = new ArrayList<>();
    private List<RegionModel> regionModels = new ArrayList<>();

    public List<RegionModel> getRegionModels() {
        return regionModels;
    }

    public void setRegionModels(List<RegionModel> regionModels) {
        this.regionModels = regionModels;
    }

    public List<FloatingIpModel> getFloatingIpModels() {
        return floatingIpModels;
    }

    public void setFloatingIpModels(List<FloatingIpModel> floatingIpModels) {
        this.floatingIpModels = floatingIpModels;
    }

    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    public List<SecurityGroupModel> getSecurityGroupModels() {
        return securityGroupModels;
    }

    public void setSecurityGroupModels(List<SecurityGroupModel> securityGroupModels) {
        this.securityGroupModels = securityGroupModels;
    }

    public List<VpcModel> getVpcModels() {
        return vpcModels;
    }

    public void setVpcModels(List<VpcModel> vpcModels) {
        this.vpcModels = vpcModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<SubnetModel> getSubnetModels() {
        return subnetModels;
    }

    public void setSubnetModels(List<SubnetModel> subnetModels) {
        this.subnetModels = subnetModels;
    }

    public List<ZoneModel> getZoneModels() {
        return zoneModels;
    }

    public void setZoneModels(List<ZoneModel> zoneModels) {
        this.zoneModels = zoneModels;
    }
}
